ZF-8339: Update autoloader to use PIG standards

Issue Type: Task Created: 2009-11-19T06:42:38.000+0000 Last Updated: 2010-01-29T18:04:57.000+0000 Status: Resolved Fix version(s): - 1.10.0 (27/Jan/10)

Reporter: Matthew Weier O'Phinney (matthew) Assignee: Matthew Weier O'Phinney (matthew) Tags: - Zend_Loader

Related issues: Attachments:


The autoloader needs to be updated to follow the guidelines outlined by the PHP Interoperability Group, per the following page:…

This will also provide us with an autoloader capable of loading code using actual PHP namespaces, though we will likely wait to push full support until we have a better idea of how the resource autoloader will work in 2.0.


Posted by Glen Ainscow (darkangel) on 2010-01-29T13:28:34.000+0000


This was implemented in 1.10 (for the basic autoloader at least) -- shouldn't this ticket be closed?

Posted by Matthew Weier O'Phinney (matthew) on 2010-01-29T18:04:57.000+0000

Added in 1.10.0.

Have you found an issue?

See the Overview section for more details.


© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.